%global modname moksha.hub

Summary:        Hub components for Moksha
Name:           python-moksha-hub
Version:        1.5.17
Release:        7%{?dist}
License:        ASL 2.0
URL:            https://pypi.org/project/moksha.hub
Source0:        https://pypi.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildRequires:  python3-devel python3-setuptools python3-nose python3-mock python3-moksha-common python3-twisted 
BuildRequires:  python3-txzmq python3-txws python3-six python3-pyasn1 python3-pip python3-websocket-client

BuildArch:      noarch

%description
Hub components for Moksha.

%package -n python3-moksha-hub
Summary:        Hub components for Moksha
Requires:       python3-moksha-common python3-twisted python3-pyasn1 python3-txzmq python3-txws python3-six
Recommends:     python3-service-identity

%description -n python3-moksha-hub
Hub components for Moksha.


%prep
%autosetup -n %{modname}-%{version}
sed -i 's/"Twisted",//' setup.py
sed -i 's/pyzmq<=2.2.0.1/pyzmq/' setup.py


%build
%py3_build


%install
%py3_install
ln -s ./moksha-hub %{buildroot}%{_bindir}/moksha-hub-3
ln -s ./moksha-hub %{buildroot}%{_bindir}/moksha-hub-%{python3_version}

%check
%{__python3} setup.py test


%files -n python3-moksha-hub
%license COPYING
%doc README AUTHORS
%{python3_sitelib}/moksha/hub/
%{python3_sitelib}/%{modname}-%{version}*
%{_bindir}/moksha-hub
%{_bindir}/moksha-hub-3
%{_bindir}/moksha-hub-%{python3_version}


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.5.17-7
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.5.17-6
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.5.17-5
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.17-4
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.17-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.17-2
- Rebuilt for OpenCloudOS Stream 23.09

* Sat May 06 2023 Miaojun Dong <zoedong@tencent.com> - 1.5.17-1
- initial build
